Core - Task # 49319

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54272 (Resolved): As an Editor | expect FAL to work with the RTE

Status: Closed Priority: Should have

Author: René Pflamm Category: File Abstraction Layer (FAL)
Created: 2013-06-21 Assigned To: Stanislas Rolland

Updated: 2014-02-15 Due date:

TYPOS3 Version: 6.1

PHP Version: 5.3

Complexity:

Sprint Focus:

Subiject: Error finding folder for rte links preparing

Description

| generated many tt_content objects with an script to migrate an old "Contenido"-CMS Page to TYPO3 6.1.

During editing the content to make it clear | noticed many errors while TYPO3 CMS tried to get images, and links passing to the <link >
-Tag.

If the Object not found in the given Location it throws an uncaught Exception:

Folder cms/upload/file.ext does not exist.

or
Folder cms/front_content.php?id=123 does not exist.

of Course it doesn't... | created the Folder an uploaded any of the files from the old page. It worked for any image. But now, at saving

the RTE Data it makes any Link from <a href="cms/frontend_content.php... to <link cms/frontend_content.php... > and then it throws

the Exception described above at reopening the Content Element.

In the ResourceFactory | added an try and catch operation to prevent this error.

Because | think this could also happened when ssers entered an wrong link | would post my Patch for all here.

<small>sorry for my bad english ;)</small>

History

#1 - 2013-06-21 17:14 - Chris topher
- Category set to File Abstraction Layer (FAL)

#2 - 2013-12-07 17:19 - Steffen Ritter
- Parent task set to #54272

- Is Regression set to No

#3 - 2014-01-23 20:17 - Stanislas Rolland
- Estimated time set to 1.00
#4 - 2014-01-23 20:20 - Stanislas Rolland

- Assigned To set to Stanislas Rolland

#5 - 2014-01-29 23:18 - Stanislas Rolland

| am unable to reproduce this issue with current master.

#6 - 2014-01-29 23:19 - Stanislas Rolland
- Status changed from New to Needs Feedback

#7 - 2014-02-04 18:44 - Stanislas Rolland
- Estimated time changed from 1.00 to 0.50

#8 - 2014-02-04 18:44 - Stanislas Rolland
- % Done changed from 0 to 100

#9 - 2014-02-05 14:47 - Steffen Ritter
- Status changed from Needs Feedback to Closed

| think this one can be closed,
a, Stan cant reproduce

b, if the author is linking to files the migration is wrong should have bin file:0:/cms/ ...

Files
ResourceFactory.patch 847 Bytes 2013-06-21 René Pflamm
